/////////////////////
//////Pink VAPE//////
/////////////////////


datablock ParticleData(VapePinkSmokeParticle : VapeSmokeParticle)
{
	colors[0]     = "0.5 0.1 0.3 0.4";
	colors[1]     = "0.5 0.5 0.5 0.0";
};

datablock ParticleEmitterData(VapePinkSmokeEmitter : VapeSmokeEmitter)
{
   particles = "VapePinkSmokeParticle";

   uiName = "Vape Pink Smoke";
};

datablock ItemData(VapePinkItem : VapeItem)
{
	uiName = "Vape Pink";
	colorShiftColor = "0.9 0.36 0.72 1.000";
	image = VapePinkImage;
};

datablock ShapeBaseImageData(VapePinkImage : VapeImage)
{
	colorShiftColor = VapePinkItem.colorShiftColor;

};

datablock ShapeBaseImageData(VapePinkPuffImage : VapePuffImage)
{
	colorShiftColor = VapePinkItem.colorShiftColor;
};

datablock ShapeBaseImageData(VapePinkWaitImage : VapeWaitImage)
{
	colorShiftColor = VapePinkItem.colorShiftColor;
};

datablock ShapeBaseImageData(VapePinkSmokeImage)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 5;
   offset = "0 0.4 -0.1";
   eyeoffset = "0 0.4 -0.4";
   rotation = "0 90 0 0";	

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
//	stateWaitForTimeout[1]			= True;
	stateEmitter[1]					= VapePinkSmokeEmitter;
	stateEmitterTime[1]				= 120000;
};

//////////////////////////
//Functions for Pink Vape//
//////////////////////////
function VapePinkImage::onMount(%this,%obj,%slot)
{
%obj.vapecolor = "Pink";
eval("CheckVape(%this,%obj,%slot);");
}

function VapePinkImage::onFire(%this,%obj,%slot)
{

%obj.mountImage(VapePinkPuffImage, %slot);

}

function VapePinkPuffImage::onMount(%this,%obj,%slot)
{

%obj.playthread(2, plant);
%obj.playthread(1, armreadyright);
//%this.font = 50;
}

function VapePinkPuffImage::onPuff(%this,%obj,%slot)
{
%obj.puff += 125;
//%obj.client.centerprint(%obj.puff);
%rand = getrandom(1,50);
if(%rand == 1)
{
	%obj.client.play2d("vapetalk" @ getrandom(1,9) @ "Sound");
	%obj.setwhiteout(0.2);
}
if (isobject(%obj) && %obj.puff >= 5000)
	{
	%obj.setDamageFlash(0.2);
	%obj.client.centerprint("<color:ffff00><font:impact:2><br><font:impact:" @ "50" @ ">You're vaping too hard!");
	%obj.client.schedule(65, centerprint, "<color:ff0000><font:impact:" @ "51" @ ">You're vaping too hard!");
	if(isobject(%obj) && %obj.puff >= 10000)
		{
			%p = new Projectile()
			{
				dataBlock = deathProjectile;
				initialPosition = %obj.getPosition();
				scale = "2 2 2";
				client = %obj.client;
			};
			%p.explode();
		%obj.kill();
		}
	}
}

function VapePinkPuffImage::onRelease(%this,%obj,%slot)
{
if(isObject(%obj))
%obj.mountImage(VapePinkWaitImage,0);
}

function VapePinkPuffImage::onunMount(%this,%obj,%slot)
{
		%obj.playthread(1, root);
		%obj.emote(VapePinkSmokeImage);
		schedule(%obj.puff, 0, resetPuff, %this, %obj, %slot);
		schedule(%obj.puff, 0, CheckVape, %this, %obj, %slot);
		%obj.client.centerprint("");
}

function VapePinkWaitImage::onMount(%this,%obj,%slot)
{
%obj.iswait = 1;
}

function VapePinkSmokeImage::onMount(%this,%obj,%slot)
{
	%obj.VapeSmokeSlot = %slot;
}

/////////////////////
/////Black VAPE//////
/////////////////////


datablock ParticleData(VapeBlackSmokeParticle : VapeSmokeParticle)
{
	colors[0]     = "0.0 0.0 0.0 0.4";
	colors[1]     = "0.1 0.1 0.1 0.0";

	useInvAlpha   = true;
};

datablock ParticleEmitterData(VapeBlackSmokeEmitter : VapeSmokeEmitter)
{
   particles = "VapeBlackSmokeParticle";

   uiName = "Vape Black Smoke";
};

datablock ItemData(VapeBlackItem : VapeItem)
{
	uiName = "Vape Black";
	colorShiftColor = "0.1 0.1 0.1 1.000";
	image = VapeBlackImage;
};

datablock ShapeBaseImageData(VapeBlackImage : VapeImage)
{
	colorShiftColor = VapeBlackItem.colorShiftColor;

};

datablock ShapeBaseImageData(VapeBlackPuffImage : VapePuffImage)
{
	colorShiftColor = VapeBlackItem.colorShiftColor;
};

datablock ShapeBaseImageData(VapeBlackWaitImage : VapeWaitImage)
{
	colorShiftColor = VapeBlackItem.colorShiftColor;
};

datablock ShapeBaseImageData(VapeBlackSmokeImage)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 5;
   offset = "0 0.4 -0.1";
   eyeoffset = "0 0.4 -0.4";
   rotation = "0 90 0 0";	

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
//	stateWaitForTimeout[1]			= True;
	stateEmitter[1]					= VapeBlackSmokeEmitter;
	stateEmitterTime[1]				= 120000;
};

//////////////////////////
//Functions for Black Vape//
//////////////////////////
function VapeBlackImage::onMount(%this,%obj,%slot)
{
%obj.vapecolor = "Black";
eval("CheckVape(%this,%obj,%slot);");
}

function VapeBlackImage::onFire(%this,%obj,%slot)
{

%obj.mountImage(VapeBlackPuffImage, %slot);

}

function VapeBlackPuffImage::onMount(%this,%obj,%slot)
{

%obj.playthread(2, plant);
%obj.playthread(1, armreadyright);
//%this.font = 50;
}

function VapeBlackPuffImage::onPuff(%this,%obj,%slot)
{
%obj.puff += 125;
//%obj.client.centerprint(%obj.puff);
%rand = getrandom(1,50);
if(%rand == 1)
{
	%obj.client.play2d("vapetalk" @ getrandom(1,9) @ "Sound");
	%obj.setwhiteout(0.2);
}
if (isobject(%obj) && %obj.puff >= 5000)
	{
	%obj.setDamageFlash(0.2);
	%obj.client.centerprint("<color:ffff00><font:impact:2><br><font:impact:" @ "50" @ ">You're vaping too hard!");
	%obj.client.schedule(65, centerprint, "<color:ff0000><font:impact:" @ "51" @ ">You're vaping too hard!");
	if(isobject(%obj) && %obj.puff >= 10000)
		{
			%p = new Projectile()
			{
				dataBlock = deathProjectile;
				initialPosition = %obj.getPosition();
				scale = "2 2 2";
				client = %obj.client;
			};
			%p.explode();
		%obj.kill();
		}
	}
}

function VapeBlackPuffImage::onRelease(%this,%obj,%slot)
{
if(isObject(%obj))
%obj.mountImage(VapeBlackWaitImage,0);
}

function VapeBlackPuffImage::onunMount(%this,%obj,%slot)
{
		%obj.playthread(1, root);
		%obj.emote(VapeBlackSmokeImage);
		schedule(%obj.puff, 0, resetPuff, %this, %obj, %slot);
		schedule(%obj.puff, 0, CheckVape, %this, %obj, %slot);
		%obj.client.centerprint("");
}

function VapeBlackWaitImage::onMount(%this,%obj,%slot)
{
%obj.iswait = 1;
}

function VapeBlackSmokeImage::onMount(%this,%obj,%slot)
{
	%obj.VapeSmokeSlot = %slot;
}


/////////////////////
//////Cyan VAPE//////
/////////////////////


datablock ParticleData(VapeCyanSmokeParticle : VapeSmokeParticle)
{
	colors[0]     = "0.0 0.4 0.5 0.4";
	colors[1]     = "0.5 0.5 0.5 0.0";
};

datablock ParticleEmitterData(VapeCyanSmokeEmitter : VapeSmokeEmitter)
{
   particles = "VapeCyanSmokeParticle";

   uiName = "Vape Cyan Smoke";
};

datablock ItemData(VapeCyanItem : VapeItem)
{
	uiName = "Vape Cyan";
	colorShiftColor = "0.2 0.8 0.9 1.000";
	image = VapeCyanImage;
};

datablock ShapeBaseImageData(VapeCyanImage : VapeImage)
{
	colorShiftColor = VapeCyanItem.colorShiftColor;

};

datablock ShapeBaseImageData(VapeCyanPuffImage : VapePuffImage)
{
	colorShiftColor = VapeCyanItem.colorShiftColor;
};

datablock ShapeBaseImageData(VapeCyanWaitImage : VapeWaitImage)
{
	colorShiftColor = VapeCyanItem.colorShiftColor;
};

datablock ShapeBaseImageData(VapeCyanSmokeImage)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 5;
   offset = "0 0.4 -0.1";
   eyeoffset = "0 0.4 -0.4";
   rotation = "0 90 0 0";	

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
//	stateWaitForTimeout[1]			= True;
	stateEmitter[1]					= VapeCyanSmokeEmitter;
	stateEmitterTime[1]				= 120000;
};

//////////////////////////
//Functions for Cyan Vape//
//////////////////////////
function VapeCyanImage::onMount(%this,%obj,%slot)
{
%obj.vapecolor = "Cyan";
eval("CheckVape(%this,%obj,%slot);");
}

function VapeCyanImage::onFire(%this,%obj,%slot)
{

%obj.mountImage(VapeCyanPuffImage, %slot);

}

function VapeCyanPuffImage::onMount(%this,%obj,%slot)
{

%obj.playthread(2, plant);
%obj.playthread(1, armreadyright);
//%this.font = 50;
}

function VapeCyanPuffImage::onPuff(%this,%obj,%slot)
{
%obj.puff += 125;
//%obj.client.centerprint(%obj.puff);
%rand = getrandom(1,50);
if(%rand == 1)
{
	%obj.client.play2d("vapetalk" @ getrandom(1,9) @ "Sound");
	%obj.setwhiteout(0.2);
}
if (isobject(%obj) && %obj.puff >= 5000)
	{
	%obj.setDamageFlash(0.2);
	%obj.client.centerprint("<color:ffff00><font:impact:2><br><font:impact:" @ "50" @ ">You're vaping too hard!");
	%obj.client.schedule(65, centerprint, "<color:ff0000><font:impact:" @ "51" @ ">You're vaping too hard!");
	if(isobject(%obj) && %obj.puff >= 10000)
		{
			%p = new Projectile()
			{
				dataBlock = deathProjectile;
				initialPosition = %obj.getPosition();
				scale = "2 2 2";
				client = %obj.client;
			};
			%p.explode();
		%obj.kill();
		}
	}
}

function VapeCyanPuffImage::onRelease(%this,%obj,%slot)
{
if(isObject(%obj))
%obj.mountImage(VapeCyanWaitImage,0);
}

function VapeCyanPuffImage::onunMount(%this,%obj,%slot)
{
		%obj.playthread(1, root);
		%obj.emote(VapeCyanSmokeImage);
		schedule(%obj.puff, 0, resetPuff, %this, %obj, %slot);
		schedule(%obj.puff, 0, CheckVape, %this, %obj, %slot);
		%obj.client.centerprint("");
}

function VapeCyanWaitImage::onMount(%this,%obj,%slot)
{
%obj.iswait = 1;
}

function VapeCyanSmokeImage::onMount(%this,%obj,%slot)
{
	%obj.VapeSmokeSlot = %slot;
}

/////////////////////
/////Rainbow VAPE////
/////////////////////


datablock ParticleData(VapeRainbowSmokeParticle : VapeSmokeParticle)
{
	colors[0]     = "0.5 0.0 0.0 0.4";
	colors[1]     = "0.0 0.5 0.0 0.2666";
	colors[2]     = "0.0 0.0 0.5 0.1333";
	colors[3]     = "0.5 0.5 0.5 0.0";
	sizes[0]      = 0.15;
	sizes[1]      = 0.433333;
	sizes[2]      = 0.716666;
	sizes[3]      = 1;
	times[0]      = 0;
	times[1]      = 0.333333;
	times[2]      = 0.666666;
	times[3]      = 1;
};

datablock ParticleEmitterData(VapeRainbowSmokeEmitter : VapeSmokeEmitter)
{
   particles = "VapeRainbowSmokeParticle";

   uiName = "Vape Rainbow Smoke";
};

datablock ItemData(VapeRainbowItem : VapeItem)
{
	uiName = "Vape Rainbow";
	colorShiftColor = "1.0 0.0 1.0 1.000";
	image = VapeRainbowImage;
};

datablock ShapeBaseImageData(VapeRainbowImage : VapeImage)
{
	colorShiftColor = VapeRainbowItem.colorShiftColor;

};

datablock ShapeBaseImageData(VapeRainbowPuffImage : VapePuffImage)
{
	colorShiftColor = VapeRainbowItem.colorShiftColor;
};

datablock ShapeBaseImageData(VapeRainbowWaitImage : VapeWaitImage)
{
	colorShiftColor = VapeRainbowItem.colorShiftColor;
};

datablock ShapeBaseImageData(VapeRainbowSmokeImage)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 5;
   offset = "0 0.4 -0.1";
   eyeoffset = "0 0.4 -0.4";
   rotation = "0 90 0 0";	

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
//	stateWaitForTimeout[1]			= True;
	stateEmitter[1]					= VapeRainbowSmokeEmitter;
	stateEmitterTime[1]				= 120000;
};

//////////////////////////
//Functions for Rainbow Vape//
//////////////////////////
function VapeRainbowImage::onMount(%this,%obj,%slot)
{
%obj.vapecolor = "Rainbow";
eval("CheckVape(%this,%obj,%slot);");
}

function VapeRainbowImage::onFire(%this,%obj,%slot)
{

%obj.mountImage(VapeRainbowPuffImage, %slot);

}

function VapeRainbowPuffImage::onMount(%this,%obj,%slot)
{

%obj.playthread(2, plant);
%obj.playthread(1, armreadyright);
//%this.font = 50;
}

function VapeRainbowPuffImage::onPuff(%this,%obj,%slot)
{
%obj.puff += 125;
//%obj.client.centerprint(%obj.puff);
%rand = getrandom(1,50);
if(%rand == 1)
{
	%obj.client.play2d("vapetalk" @ getrandom(1,9) @ "Sound");
	%obj.setwhiteout(0.2);
}
if (isobject(%obj) && %obj.puff >= 5000)
	{
	%obj.setDamageFlash(0.2);
	%obj.client.centerprint("<color:ffff00><font:impact:2><br><font:impact:" @ "50" @ ">You're vaping too hard!");
	%obj.client.schedule(65, centerprint, "<color:ff0000><font:impact:" @ "51" @ ">You're vaping too hard!");
	if(isobject(%obj) && %obj.puff >= 10000)
		{
			%p = new Projectile()
			{
				dataBlock = deathProjectile;
				initialPosition = %obj.getPosition();
				scale = "2 2 2";
				client = %obj.client;
			};
			%p.explode();
		%obj.kill();
		}
	}
}

function VapeRainbowPuffImage::onRelease(%this,%obj,%slot)
{
if(isObject(%obj))
%obj.mountImage(VapeRainbowWaitImage,0);
}

function VapeRainbowPuffImage::onunMount(%this,%obj,%slot)
{
		%obj.playthread(1, root);
		%obj.emote(VapeRainbowSmokeImage);
		schedule(%obj.puff, 0, resetPuff, %this, %obj, %slot);
		schedule(%obj.puff, 0, CheckVape, %this, %obj, %slot);
		%obj.client.centerprint("");
}

function VapeRainbowWaitImage::onMount(%this,%obj,%slot)
{
%obj.iswait = 1;
}

function VapeRainbowSmokeImage::onMount(%this,%obj,%slot)
{
	%obj.VapeSmokeSlot = %slot;
}


/////////////////////
//////Teal VAPE//////
/////////////////////


datablock ParticleData(VapeTealSmokeParticle : VapeSmokeParticle)
{
	colors[0]     = "0.0 0.5 0.2 0.4";
	colors[1]     = "0.5 0.5 0.5 0.0";
};

datablock ParticleEmitterData(VapeTealSmokeEmitter : VapeSmokeEmitter)
{
   particles = "VapeTealSmokeParticle";

   uiName = "Vape Teal Smoke";
};

datablock ItemData(VapeTealItem : VapeItem)
{
	uiName = "Vape Teal";
	colorShiftColor = "0.2 0.9 0.5 1.000";
	image = VapeTealImage;
};

datablock ShapeBaseImageData(VapeTealImage : VapeImage)
{
	colorShiftColor = VapeTealItem.colorShiftColor;

};

datablock ShapeBaseImageData(VapeTealPuffImage : VapePuffImage)
{
	colorShiftColor = VapeTealItem.colorShiftColor;
};

datablock ShapeBaseImageData(VapeTealWaitImage : VapeWaitImage)
{
	colorShiftColor = VapeTealItem.colorShiftColor;
};

datablock ShapeBaseImageData(VapeTealSmokeImage)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 5;
   offset = "0 0.4 -0.1";
   eyeoffset = "0 0.4 -0.4";
   rotation = "0 90 0 0";	

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
//	stateWaitForTimeout[1]			= True;
	stateEmitter[1]					= VapeTealSmokeEmitter;
	stateEmitterTime[1]				= 120000;
};

//////////////////////////
//Functions for Teal Vape//
//////////////////////////
function VapeTealImage::onMount(%this,%obj,%slot)
{
%obj.vapecolor = "Teal";
eval("CheckVape(%this,%obj,%slot);");
}

function VapeTealImage::onFire(%this,%obj,%slot)
{

%obj.mountImage(VapeTealPuffImage, %slot);

}

function VapeTealPuffImage::onMount(%this,%obj,%slot)
{

%obj.playthread(2, plant);
%obj.playthread(1, armreadyright);
//%this.font = 50;
}

function VapeTealPuffImage::onPuff(%this,%obj,%slot)
{
%obj.puff += 125;
//%obj.client.centerprint(%obj.puff);
%rand = getrandom(1,50);
if(%rand == 1)
{
	%obj.client.play2d("vapetalk" @ getrandom(1,9) @ "Sound");
	%obj.setwhiteout(0.2);
}
if (isobject(%obj) && %obj.puff >= 5000)
	{
	%obj.setDamageFlash(0.2);
	%obj.client.centerprint("<color:ffff00><font:impact:2><br><font:impact:" @ "50" @ ">You're vaping too hard!");
	%obj.client.schedule(65, centerprint, "<color:ff0000><font:impact:" @ "51" @ ">You're vaping too hard!");
	if(isobject(%obj) && %obj.puff >= 10000)
		{
			%p = new Projectile()
			{
				dataBlock = deathProjectile;
				initialPosition = %obj.getPosition();
				scale = "2 2 2";
				client = %obj.client;
			};
			%p.explode();
		%obj.kill();
		}
	}
}

function VapeTealPuffImage::onRelease(%this,%obj,%slot)
{
if(isObject(%obj))
%obj.mountImage(VapeTealWaitImage,0);
}

function VapeTealPuffImage::onunMount(%this,%obj,%slot)
{
		%obj.playthread(1, root);
		%obj.emote(VapeTealSmokeImage);
		schedule(%obj.puff, 0, resetPuff, %this, %obj, %slot);
		schedule(%obj.puff, 0, CheckVape, %this, %obj, %slot);
		%obj.client.centerprint("");
}

function VapeTealWaitImage::onMount(%this,%obj,%slot)
{
%obj.iswait = 1;
}

function VapeTealSmokeImage::onMount(%this,%obj,%slot)
{
	%obj.VapeSmokeSlot = %slot;
}


/////////////////////
//////Lime VAPE//////
/////////////////////


datablock ParticleData(VapeLimeSmokeParticle : VapeSmokeParticle)
{
	colors[0]     = "0.2 0.5 0.0 0.4";
	colors[1]     = "0.5 0.5 0.5 0.0";
};

datablock ParticleEmitterData(VapeLimeSmokeEmitter : VapeSmokeEmitter)
{
   particles = "VapeLimeSmokeParticle";

   uiName = "Vape Lime Smoke";
};

datablock ItemData(VapeLimeItem : VapeItem)
{
	uiName = "Vape Lime";
	colorShiftColor = "0.5 0.9 0.2 1.000";
	image = VapeLimeImage;
};

datablock ShapeBaseImageData(VapeLimeImage : VapeImage)
{
	colorShiftColor = VapeLimeItem.colorShiftColor;

};

datablock ShapeBaseImageData(VapeLimePuffImage : VapePuffImage)
{
	colorShiftColor = VapeLimeItem.colorShiftColor;
};

datablock ShapeBaseImageData(VapeLimeWaitImage : VapeWaitImage)
{
	colorShiftColor = VapeLimeItem.colorShiftColor;
};

datablock ShapeBaseImageData(VapeLimeSmokeImage)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 5;
   offset = "0 0.4 -0.1";
   eyeoffset = "0 0.4 -0.4";
   rotation = "0 90 0 0";	

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
//	stateWaitForTimeout[1]			= True;
	stateEmitter[1]					= VapeLimeSmokeEmitter;
	stateEmitterTime[1]				= 120000;
};

//////////////////////////
//Functions for Lime Vape//
//////////////////////////
function VapeLimeImage::onMount(%this,%obj,%slot)
{
%obj.vapecolor = "Lime";
eval("CheckVape(%this,%obj,%slot);");
}

function VapeLimeImage::onFire(%this,%obj,%slot)
{

%obj.mountImage(VapeLimePuffImage, %slot);

}

function VapeLimePuffImage::onMount(%this,%obj,%slot)
{

%obj.playthread(2, plant);
%obj.playthread(1, armreadyright);
//%this.font = 50;
}

function VapeLimePuffImage::onPuff(%this,%obj,%slot)
{
%obj.puff += 125;
//%obj.client.centerprint(%obj.puff);
%rand = getrandom(1,50);
if(%rand == 1)
{
	%obj.client.play2d("vapetalk" @ getrandom(1,9) @ "Sound");
	%obj.setwhiteout(0.2);
}
if (isobject(%obj) && %obj.puff >= 5000)
	{
	%obj.setDamageFlash(0.2);
	%obj.client.centerprint("<color:ffff00><font:impact:2><br><font:impact:" @ "50" @ ">You're vaping too hard!");
	%obj.client.schedule(65, centerprint, "<color:ff0000><font:impact:" @ "51" @ ">You're vaping too hard!");
	if(isobject(%obj) && %obj.puff >= 10000)
		{
			%p = new Projectile()
			{
				dataBlock = deathProjectile;
				initialPosition = %obj.getPosition();
				scale = "2 2 2";
				client = %obj.client;
			};
			%p.explode();
		%obj.kill();
		}
	}
}

function VapeLimePuffImage::onRelease(%this,%obj,%slot)
{
if(isObject(%obj))
%obj.mountImage(VapeLimeWaitImage,0);
}

function VapeLimePuffImage::onunMount(%this,%obj,%slot)
{
		%obj.playthread(1, root);
		%obj.emote(VapeLimeSmokeImage);
		schedule(%obj.puff, 0, resetPuff, %this, %obj, %slot);
		schedule(%obj.puff, 0, CheckVape, %this, %obj, %slot);
		%obj.client.centerprint("");
}

function VapeLimeWaitImage::onMount(%this,%obj,%slot)
{
%obj.iswait = 1;
}

function VapeLimeSmokeImage::onMount(%this,%obj,%slot)
{
	%obj.VapeSmokeSlot = %slot;
}